org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec.FORM

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Block, HamletSpec._Child, HamletSpec._FieldSet, HamletSpec._Script, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.Heading, HamletSpec.I18nAttrs, HamletSpec.Listing, HamletSpec.Preformatted
  All Known Implementing Classes:
    Hamlet.FORM
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.FORM
      extends HamletSpec.Attrs, HamletSpec._Child, HamletSpec._Script, HamletSpec._Block, HamletSpec._FieldSet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.FORM` | `$accept_charset(String cdata)` (space and/or comma separated) list of supported charsets
    `HamletSpec.FORM` | `$accept(String cdata)` list of MIME types for file upload
    `HamletSpec.FORM` | `$action(String uri)` server-side form handler
    `HamletSpec.FORM` | `$enctype(String enctype)` contentype for "POST" method.
    `HamletSpec.FORM` | `$method(HamletSpec.Method method)` HTTP method used to submit the form
    `HamletSpec.FORM` | `$name(String cdata)` name of form for scripting
    `HamletSpec.FORM` | `$onreset(String script)` the form was reset
    `HamletSpec.FORM` | `$onsubmit(String script)` the form was submitted

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.CoreAttrs

      `$class, $id, $style, $title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.EventsAttrs

      `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Script

      `script, script`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Block

      `__, address, address, blockquote, bq, div, div, dl, dl, hr, hr, p, p, table, table`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Heading

      `h1, h1, h1, h2, h2, h2, h3, h3, h3, h4, h4, h4, h5, h5, h5, h6, h6, h6`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Listing

      `ol, ol, ul, ul`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Preformatted

      `pre, pre`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FieldSet

      `fieldset, fieldset`

- - ### Method Detail

    - #### $action

          HamletSpec.FORM $action(String uri)

      server-side form handler
      Parameters:
        `uri` -
      Returns:
        the current element builder

    - #### $method

          HamletSpec.FORM $method(HamletSpec.Method method)

      HTTP method used to submit the form
      Parameters:
        `method` -
      Returns:
        the current element builder

    - #### $enctype

          HamletSpec.FORM $enctype(String enctype)

      contentype for "POST" method. The default is "application/x-www-form-urlencoded". Use "multipart/form-data" for input type=file
      Parameters:
        `enctype` -
      Returns:
        the current element builder

    - #### $accept

          HamletSpec.FORM $accept(String cdata)

      list of MIME types for file upload
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $name

          HamletSpec.FORM $name(String cdata)

      name of form for scripting
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $onsubmit

          HamletSpec.FORM $onsubmit(String script)

      the form was submitted
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onreset

          HamletSpec.FORM $onreset(String script)

      the form was reset
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $accept_charset

          HamletSpec.FORM $accept_charset(String cdata)

      (space and/or comma separated) list of supported charsets
      Parameters:
        `cdata` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.